/events

Returns all events that were recorded within a specified time range. Filtering can be applied to retrieve events of a specified type or attributed to specific actors such as a device, user, or set of users. Either the actor or actor__in parameter must be provided to specify the actors for which events should be returned. By default, the API returns only general event information. To include additional data specific to the requested event type, use the include parameter. The possible values for the include parameter are returned in the dataSchemas field of the event object.

Data Filtering

Data filters allow filtering events based on fields within specific event data schemas. These filters follow the naming pattern data.{schemaName}.{fieldName} and apply to all event types. Events that do not contain the specified schema will be excluded from results. For example, when searching for both motion and device status events with a connectionStatus filter, motion events will not be returned (since they don't have connectionStatus), and only device status events that match the connectionStatus criteria will be returned.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Token string value that references a page for pagination. This value is received when retrieving the first page in the nextPageToken and prevPageToken fields. When a pageToken is provided, the backend remembers search parameters from the original request, so search parameters that affect the result set or order are optional and will be ignored if provided. Representation parameters like include should still be applied.

integer
1 to 500
Defaults to 100

The number of entries to return per page. The maximum range of valid page sizes is documented with minimum and maximum values, but the range might be further limited dynamically based on the requested information, account, and system status. Values outside of the (dynamic) allowed range will not result in an error, but will be clamped to the nearest limit. Thus, logic to detect the last page should not be based on comparing the requested size with the received size, but on the existence of a nextPageToken value.

include
array of strings

List of properties that should be included in the response. The data field must be included as a prefix to request the desired data. For example, if the client wants to have object detection details and supports the een.objectDetection.v1 schemas, it can add data.een.objectDetection.v1 to the list of requested includes. The list of supported schemas can be found in the dataSchemas field of the event.

Wildcard Support:

  • Use data.* to include all available data schemas for each event
include
date-time

Filter to get only events that have a startTimestamp value that is less than or equal to the given value. If endTimestamp__lte is not provided, this parameter is required.

date-time
required

Filter to get only events that have a startTimestamp value that is more than or equal to the given value.

date-time

Filter to get only events that have an endTimestamp value that is less than or equal to the given value. If startTimestamp__lte is not provided, this parameter is required.

date-time

Filter to get only events that have an endTimestamp value that is more than or equal to the given value.

string

Filter to get only events that have an actorType and actorId value that equals the given value. The actor type has to be prefixed along with actor id like actorType:actorId. For example, to filter for events for a camera with id 100d4c41, the actor that has to be used is camera:100d4c41.

Note: If both actor and actor__in are provided, the values are combined. Either actor or actor__in must be provided.

actor__in
array of strings

Filter to get only events that have an actorType and actorId value matching one of the given values. Each actor must be prefixed with its type like actorType:actorId. For example, to filter for events from multiple cameras, use actor__in=camera:100d4c41,camera:200e5d52.

Note: If both actor and actor__in are provided, the values are combined. Either actor or actor__in must be provided.

actor__in
type__in
array of strings
required

Filter to get only events that have a type value that equals one of the given parameter values. The set of all possible types can be found using the /eventTypes API. To get the list of event types that have been recorded for a specific actor/device, use /events:listFieldValues.

type__in*
sort
array of strings
length ≤ 1
Defaults to -startTimestamp

Sort the events in ascending or descending order based on field(s) provided.

sort
data.een.deviceCloudStatusUpdate.v1.newStatus.connectionStatus__in
array of strings

Filter events to only include those that have the een.deviceCloudStatusUpdate.v1 data schema and where the newStatus.connectionStatus field matches one of the specified values. Events without this data schema will be excluded.

data.een.deviceCloudStatusUpdate.v1.newStatus.connectionStatus__in
boolean

Filter events to only include those that have the een.humanValidationDetails.v1 data schema and where the isValid field matches the specified boolean value. Events without this data schema will be excluded.

boolean

Filter events to only include those where the een.humanValidationDetails.v1 data schema is either missing OR the isValid field does not match the specified boolean value. Events without this data schema will be included. An event is considered valid until it is marked invalid by a human review system, if human review is enabled for that event type.

data.een.deviceIO.v1.portId__in
array of strings

Filter events to only include those that have the een.deviceIO.v1 data schema and where the portId field matches one of the specified values. Events without this data schema will be excluded.

data.een.deviceIO.v1.portId__in
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json